Pepvote Support Center

Get Voting Event Stats

GET
/voting-events/{idOrCode}/stats

Authorization

bearerAuth
AuthorizationBearer <token>

A key in the form pepvote_api_ followed by 32 hexadecimal characters.

In: header

Header Parameters

User-Agentstringrequired

Name and version of the calling integration. Required on every request.

Path Parameters

idOrCodestringrequired

Voting event ID or code.

Response Body

application/json

curl -X GET "https://example.com/voting-events/string/stats" \  -H "User-Agent: my-app/1.0"
{
  "data": {
    "votingEventId": "string",
    "positionCount": 0,
    "candidateCount": 0,
    "approvedCandidateCount": 0,
    "sponsorCount": 0,
    "groupCount": 0,
    "voterCount": 0,
    "approvedVoterCount": 0,
    "pendingVoterCount": 0,
    "votedVoterCount": 0,
    "votesCast": 0,
    "votesConfirmed": 0,
    "turnoutPercent": 0
  }
}
Was this helpful?

Last updated September 6, 2026